Subject: Re: bug#79023: 30.1.90; Suspicion of memory leak on internal_redisplay (MacOS)

From: Alan Third <[email-masked]>
Date: Thu, 17 Jul 2025 15:37:21 +0100

On Thu, Jul 17, 2025 at 03:34:51PM +0200, Przemysław Alexander Kamiński wrote:
> I'm confident I've been able to found the root cause, no fix yet.
> 
> It's easy to reproduce: start new instance, grab resize handle and resize
> away.

It could be worth looking into whether we're releasing IOSurface's
correctly. I've had a look and the code looks OK to me, but I'm not an
expert on their use.

Basically, every time the system decides to display a new window size
it will release all the IOSurfaces and generate at least one new one
at the new size.

We then call redisplay to fill in that new buffer.

Obviously in the midst of a resize that's going to result in quite a
lot of work, and the IOSurface buffers can be quite big, which is why
I thought of them first.

-- 
Alan Third